# fts.m4 serial 1
dnl Copyright (C) 2002, 2003 Free Software Foundation, Inc.
dnl This file is free software; the Free Software Foundation
dnl gives unlimited permission to copy and/or distribute it,
dnl with or without modifications, as long as this notice is preserved.

AC_DEFUN([gl_FUNC_FTS],
[
  AC_LIBSOURCES([fts.c, fts.h])

  AC_CHECK_FUNCS(fts_open)
  if test $ac_cv_func_fts_open = no; then
    AC_RUN_IFELSE([#include <stdio.h> 
                   main() {
                   FILE *fp;
                   unsigned short int i=0;
                   fp=fopen("ushrtest", "w");
                   i = ~i;
                   fprintf(fp, "%u\n", i);
                   fclose(fp);
                   }],[ac_cv_func_fts_ushrt=`cat ushrtest`; rm ushrtest],ac_cv_func_fts_ushrt=65535,ac_cv_func_fts_ushrt=65535)
    CFLAGS="$CFLAGS -DUSHRT_MAX=$ac_cv_func_fts_ushrt"
    AC_LIBOBJ([fts])
    gl_PREREQ_FTS
  fi
])

# 
AC_DEFUN([gl_PREREQ_FTS], [
  :
])
